<?php if(!defined("PLX_ROOT")) exit; ?>
<?php 
	if(!empty($_POST)) {
		$plxPlugin->setParam("cache_all_page", plxUtils::strCheck($_POST["cache_all_page"], "numeric"));
		$plxPlugin->setParam("desactiver_cache", plxUtils::strCheck($_POST["desactiver_cache"], "numeric"));
		$plxPlugin->setParam("cache_duration", plxUtils::strCheck($_POST["cache_duration"], "numeric"));
		$plxPlugin->saveParams();

		header("Location: parametres_plugin.php?p=WDD_cache");
		exit;
	}
?>
<style>
	label{width:20%;display:inline-block;min-width:320px;vertical-align: middle}
	label+input{width:5%;min-width:50px;vertical-align: middle}
	li{padding:10px;list-style: none}
</style>
<h2>WDD cache</h2>
<p>Un système de cache intégré à PluXML et customisable</p>
<p>
	Pour utiliser le cache sur une partie d'une page, utiliser les hooks suivants (exemple pour la sidebar)
	<pre>
		# notez bien que l'appel est dans un test conditionnel 
		# qui englobe le code à mettre en cache
		&lt;?php if (eval($plxShow->callHook("WDD_cache_start",'sidebar'))){?>
		(...) code de la side bar (...)
		&lt;?php  eval($plxShow->callHook("WDD_cache_end",'sidebar'));}?> 
	</pre>
	Il est possible de mettre en cache séparément la sidebar, le footer etc... 

	Ces hooks sont inutiles si vous cochez la case "cache simple"...
	</p>
<hr/>
<form action="parametres_plugin.php?p=WDD_cache" method="post" >
	<li><label for="cache_all_page">Cache simple (chaque page entière) : </label>
	<input id="cache_all_page" style="width:16px;" type="checkbox" name="cache_all_page" value="1" <?php  if ($plxPlugin->getParam("cache_all_page")==1){echo 'checked';} ?>/></li>
	<li><label>Durée de vie du cache (minutes) : </label>
	<input type="text" name="cache_duration" value="<?php echo $plxPlugin->getParam("cache_duration") ?>"/></li>
	<hr />
	<li><label for="desactiver_cache" style="padding:5px;color:red;background:pink;border-radius:3px;">Désactiver le cache (pour le développement ^^) : </label>
	<input id="desactiver_cache" style="width:16px;" type="checkbox" name="desactiver_cache" value="1" <?php  if ($plxPlugin->getParam("desactiver_cache")==1){echo 'checked';} ?>/></li>
	<hr/>
	<input type="submit" name="submit" value="Enregistrer"/>
</form>
